Skip to main content
List workflows
curl --request GET \
  --url https://app.simpledocs.com/api/v1/workflows \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.simpledocs.com/api/v1/workflows"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.simpledocs.com/api/v1/workflows', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{ "pagination": { "current_page": 1, "per_page": 25, "total_pages": 3, "total_count": 72 }, "data": [ { "id": "k9Xp2m", "type": "workflow", "attributes": { "name": "Vendor Agreement", "description": "Standard agreement for new vendor onboarding", "status": "published", "type": "<string>" } } ] }

Authorizations

Authorization
string
header
required

Obtain a Bearer token via the Create access token endpoint using the OAuth2 client credentials flow.

Query Parameters

page
integer
default:1

Page number for pagination (defaults to 1).

Required range: x >= 1
status
enum<string>

Filter by workflow status.

Available options:
published,
unpublished

Response

A paginated list of workflows.

pagination
object
data
object[]